org.apache.ant.compress.taskdefs

## Class ArchiveBase.ResourceFlags

- java.lang.Object
- - org.apache.ant.compress.taskdefs.ArchiveBase.ResourceFlags

- Direct Known Subclasses:
    ArchiveBase.ResourceCollectionFlags
  Enclosing class:
    ArchiveBase

      public class ArchiveBase.ResourceFlags
      extends java.lang.Object

  Various flags a (archive) resource may hold in addition to being a plain resource.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceFlags()`
    `ResourceFlags(int mode)`
    `ResourceFlags(int mode, int uid, int gid)`
    `ResourceFlags(int mode, int uid, int gid, java.lang.String userName, java.lang.String groupName)`
    `ResourceFlags(int mode, org.apache.commons.compress.archivers.zip.ZipExtraField[] extraFields, int compressionMethod)`
    `ResourceFlags(java.lang.Iterable contentMethods)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCompressionMethod()`
    `java.lang.Iterable` | `getContentMethods()`
    `int` | `getGroupId()`
    `java.lang.String` | `getGroupName()`
    `int` | `getMode()`
    `int` | `getUserId()`
    `java.lang.String` | `getUserName()`
    `org.apache.commons.compress.archivers.zip.ZipExtraField[]` | `getZipExtraFields()`
    `boolean` | `hasCompressionMethod()`
    `boolean` | `hasContentMethods()`
    `boolean` | `hasGroupIdBeenSet()`
    `boolean` | `hasGroupNameBeenSet()`
    `boolean` | `hasModeBeenSet()`
    `boolean` | `hasUserIdBeenSet()`
    `boolean` | `hasUserNameBeenSet()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceFlags

          public ResourceFlags()

    - #### ResourceFlags

          public ResourceFlags(int mode)

    - #### ResourceFlags

          public ResourceFlags(int mode,
                               org.apache.commons.compress.archivers.zip.ZipExtraField[] extraFields,
                               int compressionMethod)

    - #### ResourceFlags

          public ResourceFlags(int mode,
                               int uid,
                               int gid)

    - #### ResourceFlags

          public ResourceFlags(int mode,
                               int uid,
                               int gid,
                               java.lang.String userName,
                               java.lang.String groupName)

    - #### ResourceFlags

          public ResourceFlags(java.lang.Iterable contentMethods)

  - ### Method Detail

    - #### hasModeBeenSet

          public boolean hasModeBeenSet()

    - #### getMode

          public int getMode()

    - #### getZipExtraFields

          public org.apache.commons.compress.archivers.zip.ZipExtraField[] getZipExtraFields()

    - #### hasUserIdBeenSet

          public boolean hasUserIdBeenSet()

    - #### getUserId

          public int getUserId()

    - #### hasGroupIdBeenSet

          public boolean hasGroupIdBeenSet()

    - #### getGroupId

          public int getGroupId()

    - #### hasUserNameBeenSet

          public boolean hasUserNameBeenSet()

    - #### getUserName

          public java.lang.String getUserName()

    - #### hasGroupNameBeenSet

          public boolean hasGroupNameBeenSet()

    - #### getGroupName

          public java.lang.String getGroupName()

    - #### hasCompressionMethod

          public boolean hasCompressionMethod()

    - #### getCompressionMethod

          public int getCompressionMethod()

    - #### hasContentMethods

          public boolean hasContentMethods()

    - #### getContentMethods

          public java.lang.Iterable getContentMethods()